#include <Wire.h>
#include <Adafruit_MLX90614.h>
Adafruit_MLX90614 mlx = Adafruit_MLX90614();
#define Serial  SerialUSB


#include <Adafruit_GFX.h>  // Include core graphics library for the display
#include <Adafruit_SSD1306.h>  // Include Adafruit_SSD1306 library to drive the display
#include <Adafruit_NeoPixel.h>
#define LEDPIN RGB_LED // connect the Data from the strip to this pin on the Arduino
#define NUMBER_PIEXELS 1
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMBER_PIEXELS, LEDPIN, NEO_GRB + NEO_KHZ800);

Adafruit_SSD1306 display(128, 64);  // Create display
int Variable1;

const int redPin = 2;
const int bluePin = 3;
const int motor = 4;
float readF;
float readC;
void setup() {
  Serial.begin(9600);
  strip.begin();
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);

  display.clearDisplay();  // Clear the buffer

  display.setTextColor(WHITE);  // Set color of the text

  display.setRotation(0);  // Set orientation. Goes from 0, 1, 2 or 3

  display.setTextWrap(false);  // By default, long lines of text are set to automatically “wrap” back to the leftmost column.
  // To override this behavior (so text will run off the right side of the display - useful for
  // scrolling marquee effects), use setTextWrap(false). The normal wrapping behavior is restored
  // with setTextWrap(true).

  display.dim(0);
  Serial.println("Adafruit MLX90614 test");
  mlx.begin();
  pinMode(redPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
  pinMode(motor, OUTPUT);


}
void loop() {
  display.clearDisplay();
  display.setTextSize(1);
  display.setCursor(0, 10);

  readF = mlx.readObjectTempF();
  readC = mlx.readObjectTempC();

  

  if ( readC > 30) {
//    strip.Color(255, 0, 0);
    strip.setPixelColor(0, strip.Color(255,0,0));
    display.println();
    display.print("TOO HOT");
    digitalWrite(redPin, HIGH);
    digitalWrite(motor, HIGH);
    delay(100);
    digitalWrite(redPin, LOW);
    digitalWrite(motor, LOW);
    delay(100);
    digitalWrite(redPin, HIGH);
    digitalWrite(motor, HIGH);
    delay(100);
    digitalWrite(redPin, LOW);
    digitalWrite(motor, LOW);
  }
  else if (readC < 10) {
//    strip.Color(0, 255, 0);
    strip.setPixelColor(0, strip.Color(0,0,255));
display.println();
    display.print("USE GLOVES, COLD TO TOUCH");
    digitalWrite(bluePin, HIGH);
    digitalWrite(motor, HIGH);
    delay(100);
    digitalWrite(bluePin, LOW);
    digitalWrite(motor, LOW);
    delay(100);
    digitalWrite(bluePin, HIGH);
    digitalWrite(motor, HIGH);
    delay(100);
    digitalWrite(bluePin, LOW);
    digitalWrite(motor, LOW);

  }
  else {
//    strip.Color(0, 0, 255);
    strip.setPixelColor(0, strip.Color(0,255,0));

  }
//  strip.setPixelColor(0, strip.Color(255,255,255));
  strip.show();
  
  display.print("*C\tObject = "); display.print(mlx.readObjectTempC()); display.println("*C");display.println();
  display.print("*F\tObject = "); display.print(mlx.readObjectTempF()); display.println("*F");
  display.println();
  display.display();
  delay(500);
}
